<?php
namespace app;

//定义系统常量
define("DB", __DIR__ . '/../db');
define("VENDOR", __DIR__ . '/../vendor');

// 环境常量
define('IS_CLI', PHP_SAPI == 'cli' ? true : false);
define('IS_WIN', strpos(PHP_OS, 'WIN') !== false);

require "common.php";

//注册加载类函数
spl_autoload_register(function($class) {
    $filename = APP_PATH . strtr(str_replace('app\\', '', $class), '\\', DIRECTORY_SEPARATOR) . '.php';
    if (file_exists($filename)) {
        include $filename;
    }
});

require (VENDOR . "/autoload.php");

// 开启 session
session_start();

// 执行应用
(new App())->run();
